SFML

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - o -

- O : sf::Keyboard
- Ok : sf::Ftp::Response , sf::Http::Response
- onCreate() : sf::RenderWindow , sf::Window
- onGetData() : sf::Music , sf::SoundStream
- onProcessSamples() : sf::SoundBufferRecorder , sf::SoundRecorder
- onReceive() : sf::Packet
- onResize() : sf::RenderWindow , sf::Window
- onSeek() : sf::Music , sf::SoundStream
- onSend() : sf::Packet
- onStart() : sf::SoundBufferRecorder , sf::SoundRecorder
- onStop() : sf::SoundBufferRecorder , sf::SoundRecorder
- openFromFile() : sf::Music
- openFromMemory() : sf::Music
- openFromStream() : sf::Music
- OpeningDataConnection : sf::Ftp::Response
- operator BoolType() : sf::Packet
- operator std::string() : sf::String
- operator std::wstring() : sf::String
- operator T *() : sf::ThreadLocalPtr< T >
- operator!=() : sf::Vector2< T > , sf::Vector3< T > , sf::VideoMode , sf::Color , sf::Rect< T > , sf::String , sf::Time
- operator*() : sf::ThreadLocalPtr< T > , sf::Color , sf::Transform , sf::Time , sf::Vector2< T > , sf::Vector3< T >
- operator*=() : sf::Color , sf::Transform , sf::Time , sf::Vector2< T > , sf::Vector3< T >
- operator+() : sf::Color , sf::String , sf::Time , sf::Vector2< T > , sf::Vector3< T >
- operator+=() : sf::String , sf::Color , sf::Time , sf::Vector2< T > , sf::Vector3< T >
- operator-() : sf::Time , sf::Vector2< T > , sf::Vector3< T > , sf::Time
- operator-=() : sf::Time , sf::Vector2< T > , sf::Vector3< T >
- operator->() : sf::ThreadLocalPtr< T >
- operator/() : sf::Time , sf::Vector3< T > , sf::Vector2< T >
- operator/=() : sf::Time , sf::Vector2< T > , sf::Time , sf::Vector3< T >
- operator<() : sf::Time , sf::String , sf::VideoMode
- operator<<() : sf::Packet
- operator<=() : sf::Time , sf::String , sf::VideoMode
- operator=() : sf::Texture , sf::ThreadLocalPtr< T > , sf::Sound , sf::SocketSelector , sf::SoundBuffer , sf::String , sf::Font
- operator==() : sf::Vector2< T > , sf::String , sf::Time , sf::Rect< T > , sf::Color , sf::Vector3< T > , sf::VideoMode
- operator>() : sf::String , sf::VideoMode , sf::Time
- operator>=() : sf::String , sf::VideoMode , sf::Time
- operator>>() : sf::Packet
- operator[]() : sf::VertexArray , sf::String , sf::VertexArray , sf::String